/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { WebBaseEventArgsDetailDescription } from "./WebBaseEventArgsDetailDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var WebRowDataEventArgsDetailDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    tslib_1.__extends(WebRowDataEventArgsDetailDescription, _super);
    function WebRowDataEventArgsDetailDescription() {
        var _this = _super.call(this) || this;
        _this.l = null;
        return _this;
    }
    WebRowDataEventArgsDetailDescription.prototype.get_type = function () {
        return "WebRowDataEventArgsDetail";
    };
    Object.defineProperty(WebRowDataEventArgsDetailDescription.prototype, "data", {
        get: function () {
            return this.l;
        },
        set: function (a) {
            this.l = a;
            this.e("Data");
        },
        enumerable: true,
        configurable: true
    });
    WebRowDataEventArgsDetailDescription.$t = markType(WebRowDataEventArgsDetailDescription, 'WebRowDataEventArgsDetailDescription', WebBaseEventArgsDetailDescription.$);
    WebRowDataEventArgsDetailDescription.__marshalByValue1 = true;
    WebRowDataEventArgsDetailDescription.__marshalByValueAlias1 = "RowDataEventArgsDetail";
    return WebRowDataEventArgsDetailDescription;
}(WebBaseEventArgsDetailDescription));
export { WebRowDataEventArgsDetailDescription };
